/*
 Calisto (c) 1998-1999 Peter Howkins, Matthew Howkins, Simon Howkins

 $Id: library.h,v 1.1 1999/12/21 20:34:18 peter Exp $

 $Log: library.h,v $
 Revision 1.1  1999/12/21 20:34:18  peter
 Initial revision


 */
#include <string.h>
#include "structs.h"

character *character_from_name_exact(const char *);
character *character_from_name(const char *);

void send_to_descriptor(descriptor *des, const char *string, ...);
void send_to_char(const character *player, const char *string, ...);
void send_to_all_except(const character *c, const char *string, ...);
void send_to_all(const char *string, ...);
void send_to_room_except(const char *group, const character *c, const char *string, ...);
void send_to_room(const char *group, const char *string, ...);

/* Returns 0 if nothing read, non-zero otherwise */
int get_from_descriptor(descriptor *des);

void echo_on(descriptor *d);
void echo_off(descriptor *d);
void inquire_termtype(descriptor *d);
void inquire_windowsize(descriptor *d);
void request_termtype(descriptor *d);

int send_file_to_descriptor(char *path, descriptor *d);
void bar2(descriptor *d, const char *text,
          const char *textform, const char *barform);

